<!DOCTYPE html>
<html><head>
<title>eric7.EricNetwork.EricSslCertificatesDialog</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.EricNetwork.EricSslCertificatesDialog</h1>
<p>
Module implementing a dialog to show and edit all certificates.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#EricSslCertificatesDialog">EricSslCertificatesDialog</a></td>
<td>Class implementing a dialog to show and edit all certificates.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="EricSslCertificatesDialog" ID="EricSslCertificatesDialog"></a>
<h2>EricSslCertificatesDialog</h2>
<p>
    Class implementing a dialog to show and edit all certificates.
</p>

<h3>Derived from</h3>
QDialog, Ui_EricSslCertificatesDialog
<h3>Class Attributes</h3>
<table>
<tr><td>CertRole</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#EricSslCertificatesDialog.__init__">EricSslCertificatesDialog</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#EricSslCertificatesDialog.__createCaCertificateEntry">__createCaCertificateEntry</a></td>
<td>Private method to create a CA certificate entry.</td>
</tr>
<tr>
<td><a href="#EricSslCertificatesDialog.__createServerCertificateEntry">__createServerCertificateEntry</a></td>
<td>Private method to create a server certificate entry.</td>
</tr>
<tr>
<td><a href="#EricSslCertificatesDialog.__exportCertificate">__exportCertificate</a></td>
<td>Private slot to export a certificate.</td>
</tr>
<tr>
<td><a href="#EricSslCertificatesDialog.__getSystemCaCertificates">__getSystemCaCertificates</a></td>
<td>Private method to get the list of system certificates.</td>
</tr>
<tr>
<td><a href="#EricSslCertificatesDialog.__importCertificate">__importCertificate</a></td>
<td>Private method to read a certificate.</td>
</tr>
<tr>
<td><a href="#EricSslCertificatesDialog.__populateCaCertificatesTree">__populateCaCertificatesTree</a></td>
<td>Private slot to populate the CA certificates tree.</td>
</tr>
<tr>
<td><a href="#EricSslCertificatesDialog.__populateServerCertificatesTree">__populateServerCertificatesTree</a></td>
<td>Private slot to populate the server certificates tree.</td>
</tr>
<tr>
<td><a href="#EricSslCertificatesDialog.__updateDefaultConfiguration">__updateDefaultConfiguration</a></td>
<td>Private method to update the default SSL configuration.</td>
</tr>
<tr>
<td><a href="#EricSslCertificatesDialog.on_caCertificatesTree_currentItemChanged">on_caCertificatesTree_currentItemChanged</a></td>
<td>Private slot handling a change of the current item in the CA certificates list.</td>
</tr>
<tr>
<td><a href="#EricSslCertificatesDialog.on_caDeleteButton_clicked">on_caDeleteButton_clicked</a></td>
<td>Private slot to delete the selected CA certificate.</td>
</tr>
<tr>
<td><a href="#EricSslCertificatesDialog.on_caExportButton_clicked">on_caExportButton_clicked</a></td>
<td>Private slot to export the selected CA certificate.</td>
</tr>
<tr>
<td><a href="#EricSslCertificatesDialog.on_caImportButton_clicked">on_caImportButton_clicked</a></td>
<td>Private slot to import server certificates.</td>
</tr>
<tr>
<td><a href="#EricSslCertificatesDialog.on_caViewButton_clicked">on_caViewButton_clicked</a></td>
<td>Private slot to show data of the selected CA certificate.</td>
</tr>
<tr>
<td><a href="#EricSslCertificatesDialog.on_serversCertificatesTree_currentItemChanged">on_serversCertificatesTree_currentItemChanged</a></td>
<td>Private slot handling a change of the current item in the server certificates list.</td>
</tr>
<tr>
<td><a href="#EricSslCertificatesDialog.on_serversDeleteButton_clicked">on_serversDeleteButton_clicked</a></td>
<td>Private slot to delete the selected server certificate.</td>
</tr>
<tr>
<td><a href="#EricSslCertificatesDialog.on_serversExportButton_clicked">on_serversExportButton_clicked</a></td>
<td>Private slot to export the selected server certificate.</td>
</tr>
<tr>
<td><a href="#EricSslCertificatesDialog.on_serversImportButton_clicked">on_serversImportButton_clicked</a></td>
<td>Private slot to import server certificates.</td>
</tr>
<tr>
<td><a href="#EricSslCertificatesDialog.on_serversViewButton_clicked">on_serversViewButton_clicked</a></td>
<td>Private slot to show data of the selected server certificate.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="EricSslCertificatesDialog.__init__" ID="EricSslCertificatesDialog.__init__"></a>
<h4>EricSslCertificatesDialog (Constructor)</h4>
<b>EricSslCertificatesDialog</b>(<i>parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (QWidget)</dt>
<dd>
reference to the parent widget
</dd>
</dl>
<a NAME="EricSslCertificatesDialog.__createCaCertificateEntry" ID="EricSslCertificatesDialog.__createCaCertificateEntry"></a>
<h4>EricSslCertificatesDialog.__createCaCertificateEntry</h4>
<b>__createCaCertificateEntry</b>(<i>cert</i>)
<p>
        Private method to create a CA certificate entry.
</p>

<dl>

<dt><i>cert</i> (QSslCertificate)</dt>
<dd>
certificate to insert
</dd>
</dl>
<a NAME="EricSslCertificatesDialog.__createServerCertificateEntry" ID="EricSslCertificatesDialog.__createServerCertificateEntry"></a>
<h4>EricSslCertificatesDialog.__createServerCertificateEntry</h4>
<b>__createServerCertificateEntry</b>(<i>server, cert</i>)
<p>
        Private method to create a server certificate entry.
</p>

<dl>

<dt><i>server</i> (str)</dt>
<dd>
server name of the certificate
</dd>
<dt><i>cert</i> (QSslCertificate)</dt>
<dd>
certificate to insert
</dd>
</dl>
<a NAME="EricSslCertificatesDialog.__exportCertificate" ID="EricSslCertificatesDialog.__exportCertificate"></a>
<h4>EricSslCertificatesDialog.__exportCertificate</h4>
<b>__exportCertificate</b>(<i>name, cert</i>)
<p>
        Private slot to export a certificate.
</p>

<dl>

<dt><i>name</i> (str)</dt>
<dd>
default file name without extension
</dd>
<dt><i>cert</i> (QByteArray)</dt>
<dd>
certificate to be exported encoded as PEM
</dd>
</dl>
<a NAME="EricSslCertificatesDialog.__getSystemCaCertificates" ID="EricSslCertificatesDialog.__getSystemCaCertificates"></a>
<h4>EricSslCertificatesDialog.__getSystemCaCertificates</h4>
<b>__getSystemCaCertificates</b>(<i></i>)
<p>
        Private method to get the list of system certificates.
</p>

<dl>
<dt>Return:</dt>
<dd>
list of system certificates
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
list of QSslCertificate
</dd>
</dl>
<a NAME="EricSslCertificatesDialog.__importCertificate" ID="EricSslCertificatesDialog.__importCertificate"></a>
<h4>EricSslCertificatesDialog.__importCertificate</h4>
<b>__importCertificate</b>(<i></i>)
<p>
        Private method to read a certificate.
</p>

<dl>
<dt>Return:</dt>
<dd>
certificates read
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
list of QSslCertificate
</dd>
</dl>
<a NAME="EricSslCertificatesDialog.__populateCaCertificatesTree" ID="EricSslCertificatesDialog.__populateCaCertificatesTree"></a>
<h4>EricSslCertificatesDialog.__populateCaCertificatesTree</h4>
<b>__populateCaCertificatesTree</b>(<i></i>)
<p>
        Private slot to populate the CA certificates tree.
</p>

<a NAME="EricSslCertificatesDialog.__populateServerCertificatesTree" ID="EricSslCertificatesDialog.__populateServerCertificatesTree"></a>
<h4>EricSslCertificatesDialog.__populateServerCertificatesTree</h4>
<b>__populateServerCertificatesTree</b>(<i></i>)
<p>
        Private slot to populate the server certificates tree.
</p>

<a NAME="EricSslCertificatesDialog.__updateDefaultConfiguration" ID="EricSslCertificatesDialog.__updateDefaultConfiguration"></a>
<h4>EricSslCertificatesDialog.__updateDefaultConfiguration</h4>
<b>__updateDefaultConfiguration</b>(<i></i>)
<p>
        Private method to update the default SSL configuration.
</p>

<a NAME="EricSslCertificatesDialog.on_caCertificatesTree_currentItemChanged" ID="EricSslCertificatesDialog.on_caCertificatesTree_currentItemChanged"></a>
<h4>EricSslCertificatesDialog.on_caCertificatesTree_currentItemChanged</h4>
<b>on_caCertificatesTree_currentItemChanged</b>(<i>current, _previous</i>)
<p>
        Private slot handling a change of the current item
        in the CA certificates list.
</p>

<dl>

<dt><i>current</i> (QTreeWidgetItem)</dt>
<dd>
new current item
</dd>
<dt><i>_previous</i> (QTreeWidgetItem)</dt>
<dd>
previous current item (unused)
</dd>
</dl>
<a NAME="EricSslCertificatesDialog.on_caDeleteButton_clicked" ID="EricSslCertificatesDialog.on_caDeleteButton_clicked"></a>
<h4>EricSslCertificatesDialog.on_caDeleteButton_clicked</h4>
<b>on_caDeleteButton_clicked</b>(<i></i>)
<p>
        Private slot to delete the selected CA certificate.
</p>

<a NAME="EricSslCertificatesDialog.on_caExportButton_clicked" ID="EricSslCertificatesDialog.on_caExportButton_clicked"></a>
<h4>EricSslCertificatesDialog.on_caExportButton_clicked</h4>
<b>on_caExportButton_clicked</b>(<i></i>)
<p>
        Private slot to export the selected CA certificate.
</p>

<a NAME="EricSslCertificatesDialog.on_caImportButton_clicked" ID="EricSslCertificatesDialog.on_caImportButton_clicked"></a>
<h4>EricSslCertificatesDialog.on_caImportButton_clicked</h4>
<b>on_caImportButton_clicked</b>(<i></i>)
<p>
        Private slot to import server certificates.
</p>

<a NAME="EricSslCertificatesDialog.on_caViewButton_clicked" ID="EricSslCertificatesDialog.on_caViewButton_clicked"></a>
<h4>EricSslCertificatesDialog.on_caViewButton_clicked</h4>
<b>on_caViewButton_clicked</b>(<i></i>)
<p>
        Private slot to show data of the selected CA certificate.
</p>

<a NAME="EricSslCertificatesDialog.on_serversCertificatesTree_currentItemChanged" ID="EricSslCertificatesDialog.on_serversCertificatesTree_currentItemChanged"></a>
<h4>EricSslCertificatesDialog.on_serversCertificatesTree_currentItemChanged</h4>
<b>on_serversCertificatesTree_currentItemChanged</b>(<i>current, _previous</i>)
<p>
        Private slot handling a change of the current item in the
        server certificates list.
</p>

<dl>

<dt><i>current</i> (QTreeWidgetItem)</dt>
<dd>
new current item
</dd>
<dt><i>_previous</i> (QTreeWidgetItem)</dt>
<dd>
previous current item (unused)
</dd>
</dl>
<a NAME="EricSslCertificatesDialog.on_serversDeleteButton_clicked" ID="EricSslCertificatesDialog.on_serversDeleteButton_clicked"></a>
<h4>EricSslCertificatesDialog.on_serversDeleteButton_clicked</h4>
<b>on_serversDeleteButton_clicked</b>(<i></i>)
<p>
        Private slot to delete the selected server certificate.
</p>

<a NAME="EricSslCertificatesDialog.on_serversExportButton_clicked" ID="EricSslCertificatesDialog.on_serversExportButton_clicked"></a>
<h4>EricSslCertificatesDialog.on_serversExportButton_clicked</h4>
<b>on_serversExportButton_clicked</b>(<i></i>)
<p>
        Private slot to export the selected server certificate.
</p>

<a NAME="EricSslCertificatesDialog.on_serversImportButton_clicked" ID="EricSslCertificatesDialog.on_serversImportButton_clicked"></a>
<h4>EricSslCertificatesDialog.on_serversImportButton_clicked</h4>
<b>on_serversImportButton_clicked</b>(<i></i>)
<p>
        Private slot to import server certificates.
</p>

<a NAME="EricSslCertificatesDialog.on_serversViewButton_clicked" ID="EricSslCertificatesDialog.on_serversViewButton_clicked"></a>
<h4>EricSslCertificatesDialog.on_serversViewButton_clicked</h4>
<b>on_serversViewButton_clicked</b>(<i></i>)
<p>
        Private slot to show data of the selected server certificate.
</p>

<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
